<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePublicationProceedingsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('publication_proceedings', function (Blueprint $table) {
            $table->id();
            $table->string('title')->unique();
            $table->string('publish_status')->default('unpublished');
            $table->longText('description');
            $table->string('image_attachment')->nullable();
            $table->string('file_attachment')->nullable();
            $table->string('slug');
            $table->string('file_type')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('publication_proceedings');
    }
}
